org.apache.poi.xddf.usermodel.chart

## Class XDDFChartData

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartData

- Direct Known Subclasses:
    XDDFArea3DChartData, XDDFAreaChartData, XDDFBar3DChartData, XDDFBarChartData, XDDFDoughnutChartData, XDDFLine3DChartData, XDDFLineChartData, XDDFPie3DChartData, XDDFPieChartData, XDDFRadarChartData, XDDFScatterChartData, XDDFSurface3DChartData, XDDFSurfaceChartData

      @Beta
      public abstract class XDDFChartData
      extends java.lang.Object

  Base of all XDDF Chart Data

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XDDFChartData.Series`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XDDFChart` | `parent`
    `protected java.util.List<XDDFChartData.Series>` | `series`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFChartData(XDDFChart chart)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract XDDFChartData.Series` | `addSeries(XDDFDataSource<?> category, XDDFNumericalDataSource<? extends java.lang.Number> values)`
    `protected void` | `defineAxes(org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt[] axes, java.util.Map<java.lang.Long,XDDFChartAxis> categories, java.util.Map<java.lang.Long,XDDFValueAxis> values)`
    `XDDFCategoryAxis` | `getCategoryAxis()`
    `java.util.List<XDDFChartData.Series>` | `getSeries()` Deprecated. since POI 4.1.1
    `XDDFChartData.Series` | `getSeries(int n)`
    `int` | `getSeriesCount()`
    `java.util.List<XDDFValueAxis>` | `getValueAxes()`
    `protected abstract void` | `removeCTSeries(int n)` This method should be implemented in every class that extends `XDDFChartData`.
    `void` | `removeSeries(int n)`
    `abstract void` | `setVaryColors(java.lang.Boolean varyColors)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected XDDFChart parent

    - #### series

          protected java.util.List<XDDFChartData.Series> series

  - ### Constructor Detail

    - #### XDDFChartData

          protected XDDFChartData(XDDFChart chart)

  - ### Method Detail

    - #### defineAxes

          protected void defineAxes(org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt[] axes,
                                    java.util.Map<java.lang.Long,XDDFChartAxis> categories,
                                    java.util.Map<java.lang.Long,XDDFValueAxis> values)

    - #### getCategoryAxis

          public XDDFCategoryAxis getCategoryAxis()

    - #### getValueAxes

          public java.util.List<XDDFValueAxis> getValueAxes()

    - #### getSeries

          @Deprecated
          public java.util.List<XDDFChartData.Series> getSeries()

      Deprecated. since POI 4.1.1
      Calls to `getSeries().add(series)` or to `getSeries().remove(series)` may corrupt the workbook.

      Instead, use the following methods:

      - `getSeriesCount()`
      - `getSeries(int)`
      - `addSeries(XDDFDataSource,XDDFNumericalDataSource)`
      - `removeSeries(int)`
      Returns:

    - #### getSeriesCount

          public final int getSeriesCount()

    - #### getSeries

          public final XDDFChartData.Series getSeries(int n)

    - #### removeSeries

          public final void removeSeries(int n)

    - #### removeCTSeries

          @Internal
          protected abstract void removeCTSeries(int n)

      This method should be implemented in every class that extends `XDDFChartData`.

      A typical implementation would be

              protected void removeCTSeries(int n) {
                  chart.removeSer(n);
              }

      Parameters:
        `n` -

    - #### setVaryColors

          public abstract void setVaryColors(java.lang.Boolean varyColors)

    - #### addSeries

          public abstract XDDFChartData.Series addSeries(XDDFDataSource<?> category,
                                                         XDDFNumericalDataSource<? extends java.lang.Number> values)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.